# 数据源配置
spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource            # 当前数据源操作类型
    driver-class-name: org.postgresql.Driver                # pgsql驱动包
    druid:
      master:
#        url: jdbc:postgresql://192.168.126.128:5432/calc_hub
#        username: gfhd
#        password: zghww693
        url: jdbc:postgresql://172.16.12.102:5432/calc_hub
        username: postgres
        password: GYee@#56
      taos:
#        url: jdbc:TAOS-RS://192.168.126.128:6041/jsfw_db?charset=UTF-8&locale=en_US.UTF-8&timezone=UTC-8
        url: jdbc:TAOS-RS://172.16.12.101:6041/jsfw_db?charset=UTF-8&locale=en_US.UTF-8&timezone=UTC-8
        username: root
        password: taosdata
        driver-class-name: com.taosdata.jdbc.rs.RestfulDriver
#        url: jdbc:postgresql://123.60.219.66:5432/ry-vue
#        username: postgres
#        password: gyeepd@123
#        url: jdbc:mysql://49.234.50.218:3306/ry-vue?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
#        username: root
#        password: zghww693
#        driver-class-name: com.mysql.cj.jdbc.Driver
      slave:
#        url: jdbc:postgresql://192.168.126.128:5432/postgres
#        username: gfhd
#        password: zghww693
#        url: jdbc:postgresql://192.168.2.232:5432/power_lcm
#        username: postgres
#        password: gd123
#        url: jdbc:postgresql://123.60.219.66:5432/power_lcm
#        username: postgres
#        password: gyeepd@123
        url: jdbc:postgresql://172.16.12.102:5432/power_lcm
        username: postgres
        password: GYee@#56
#        driver-class-name: org.postgresql.Driver
        enabled: true
      # 初始连接数
      initialSize: 5
      # 最小连接池数量
      minIdle: 10
      # 最大连接池数量
      maxActive: 20
      # 配置获取连接等待超时的时间
      maxWait: 60000
      # 配置连接超时时间
      connectTimeout: 30000
      # 配置网络超时时间
      socketTimeout: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 300000
      # 配置一个连接在池中最大生存的时间，单位是毫秒
      maxEvictableIdleTimeMillis: 900000
      # 配置检测连接是否有效
      #      validationQuery: SELECT 1 FROM DUAL
      validationQuery: SELECT 1
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      webStatFilter:
        enabled: true
      statViewServlet:
        enabled: true
        # 设置白名单，不填则允许所有访问
        allow:
        url-pattern: /druid/*
        # 控制台管理用户名和密码
        login-username: ruoyi
        login-password: 123456
      filter:
        stat:
          enabled: true
          # 慢SQL记录
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        wall:
          config:
            multi-statement-allow: true